Bug 147033 - redhat-config-network fails to launch
redhat-config-network fails to launch
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 16:13 EST by delia
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description delia 2005-02-03 16:13:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
When I try to launch redhat-config-network I receive the following error:

Component: redhat-config-network
Version: 1.3.10
Summary: TBac6b8fc6 NCHardwareList.py:664:load:ValueError: invalid
literal for int(): 9600.0
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 254, in __init__
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 286, in load
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 294, in loadDevices
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 322, in getDeviceList
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 107, in load
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 741, in getHardwareList
  File
"/usr/src/build/320592-noarch/install/usr/share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 664, in load
ValueError: invalid literal for int(): 9600.0

Local variables in innermost frame:
hwconf: <netconfpkg.NCHardwareList.ConfHWConf instance at 0xa51c254>
i: 2
self: HardwareList.Ethernet.eth0.Status=ok
HardwareList.Ethernet.eth0.Name=eth0
HardwareList.Ethernet.eth0.Type=Ethernet
HardwareList.Ethernet.eth0.Card.ModuleName=e100
HardwareList.Ethernet.eth0.Description=82559ER
HardwareList.Ethernet.eth1.Status=ok
HardwareList.Ethernet.eth1.Name=eth1
HardwareList.Ethernet.eth1.Type=Ethernet
HardwareList.Ethernet.eth1.Card.ModuleName=e100
HardwareList.Ethernet.eth1.Description=82559ER
HardwareList.Modem.Modem1.Status=configured
HardwareList.Modem.Modem1.Name=Modem1
HardwareList.Modem.Modem1.Modem.DeviceName=/dev/ttyS2
HardwareList.Modem.Modem1.Type=Modem
HardwareList.Modem.Modem1.Description=Generic Modem

wvdial: <rhpl.ConfSMB.ConfSMB instance at 0xa549394>
isdncard: <netconfpkg.NCisdnhardware.ConfISDN instance at 0xa527804>
hw: Hardware.Status=configured
Hardware.Name=Modem1
Hardware.Modem.DeviceName=/dev/ttyS2
Hardware.Type=Modem
Hardware.Description=Generic Modem

dev: Modem1


Version-Release number of selected component (if applicable):
redhat-config-network-1.3.10.1

How reproducible:
Always

Steps to Reproduce:
1. Launch redhat-config-network
2.
3.
    

Expected Results:  Network Gui should have displayed

Additional info:
Comment 1 Harald Hoyer 2005-02-08 06:01:55 EST
Could it be, that you specified 9600.0 as a baud rate?
Comment 2 Harald Hoyer 2005-09-16 10:04:21 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.